Last modified: 2007-12-07 14:14:54 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 6353 - Full extension info (esp. URL) in all extensions
Full extension info (esp. URL) in all extensions
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
PC Windows XP
: Normal minor (vote)
: ---
Assigned To: Edward Z. Yang
http://en.wikipedia.org/wiki/Special:...
: patch
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2006-06-18 03:45 UTC by Edward Z. Yang
Modified: 2007-12-07 14:14 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Adds documentation to CharInsert (541 bytes, patch)
2006-06-18 17:42 UTC, Edward Z. Yang
Details

Description Edward Z. Yang 2006-06-18 03:45:19 UTC
Investigating what Wikimedia has installed on its servers can be quite
interesting. Occasionally, however, you get an entry like "CharInsert" that
gives no indication what it does or any link to a page that tells you what it does.

In CharInsert's case, no documentation exists, so a link to the Subversion
repository would be recommended. For others, like SpamBlacklist, there is a
corresponding page: [[m:Spam blacklist]].

I will be submitting patches shortly.
Comment 1 Rob Church 2006-06-18 17:32:04 UTC
A far better solution would be to go and create pages on Meta or MediaWiki.org
and let us know those exist, so that we can update the extension credits.
Comment 2 Edward Z. Yang 2006-06-18 17:36:28 UTC
Well, patches would be less work for you guys. Plus, quite a few of the
extensions also need descriptions (which is something anyone can produce).

Also, it occurred to me that we might be moving these things to MediaWiki.org,
right after I created http://meta.wikimedia.org/wiki/CharInsert
Comment 3 Edward Z. Yang 2006-06-18 17:42:08 UTC
Created attachment 1983 [details]
Adds documentation to CharInsert
Comment 4 Antoine "hashar" Musso (WMF) 2006-06-24 09:12:16 UTC
Commited in trunk (r14995).

Thanks for the patch.
Comment 5 Edward Z. Yang 2006-06-25 07:30:06 UTC
But there's other extensions to write patches for! (I'm actually on vacation, so
there won't be any more for a few weeks, but afterwards, I'll get right on it).
Comment 6 Raimond Spekking 2007-12-07 14:14:54 UTC
It seems that all extensions, at least all on Wikimedia servers, have got proper extension credits in the meantime. I will close this bug as FIXED. Feel free to reopen if an extension is wrong/missing.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links